Package org.springframework.security.authentication

# Class BadCredentialsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.BadCredentialsException

All Implemented Interfaces:
  `Serializable`

public class BadCredentialsException extends AuthenticationException
Thrown if an authentication request is rejected because the credentials are invalid. For this exception to be thrown, it means the account is neither locked nor disabled.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BadCredentialsException(String msg)`
Constructs a `BadCredentialsException` with the specified message.
`BadCredentialsException(String msg, Throwable cause)`
Constructs a `BadCredentialsException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BadCredentialsException

public BadCredentialsException(String msg)
Constructs a `BadCredentialsException` with the specified message.

Parameters:
  `msg` - the detail message

### BadCredentialsException

public BadCredentialsException(String msg, Throwable cause)
Constructs a `BadCredentialsException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - root cause